/******************************************************************************

                              Online C++ Compiler.
               Code, Compile, Run and Debug C++ program online.
Write your code in this editor and press "Run" button to compile and execute it.

*******************************************************************************/

#include <bits/stdc++.h>

using namespace std;
long long n;
double a[10000000];
double p[10000000];
double profit;
double zarada=0;
double maks_zarada=0;

int main()
{
    vector< pair <double, double> > zaposleni; 
    cin>>n;
    
    
    for (long long i=0; i<n; i++) 
{   cin>>a[i]>>p[i];
    zaposleni.push_back( make_pair(p[i],a[i]) );
    
}

sort(zaposleni.begin(), zaposleni.end()); 



for(long long i=0;i<n;i++)
{
    profit=(zarada+a[i])*p[i]/100;
    zarada=a[i];
    if(profit>maks_zarada) maks_zarada=profit;
}



cout.precision(4);
cout<<fixed<<maks_zarada;

}